"use client";
import { Roboto } from "next/font/google";
import { createTheme } from "@mui/material/styles";

const roboto = Roboto({
  weight: ["300", "400", "500", "700"],
  subsets: ["latin"],
  display: "swap",
});

const getCssVariableValue = (variable: string): string => {
  if (typeof window !== "undefined") {
    return getComputedStyle(document.documentElement).getPropertyValue(
      variable
    );
  }
  return "";
};

const theme = createTheme({
  typography: {
    fontFamily: roboto.style.fontFamily,
  },
  palette: {
    primary: {
      main: getCssVariableValue("--primary").trim() || "#6290cb", // Fallback to default color
      light: getCssVariableValue("--primary_light").trim() || "#dae7f9", // Fallback to default color
    },
  },
  components: {
    MuiCardContent: {
      styleOverrides: {
        root: {
          "&:last-child": {
            paddingBottom: "16px", // Override the padding for the last child
          },
        },
      },
    },
  },
});

export default theme;
